%define Werror_cflags %{nil}

Summary:	Linux MultiMedia Studio
Summary(de):	Leistungsfähiges Sequenzer-, Synthesizer- und Sample-Studio für Linux
Name:		lmms
Version:	1.1.3
Release:	%mkrel 2
Group:	Sound
License:	GPLv2+
URL:		http://lmms.sourceforge.net/
Source:	http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch0:    lmms-1.1.2-werror.patch
Source1:	x-lmms-project.desktop
Source2:	splash.png
Source10: %{name}-16.png
Source11: %{name}-32.png
Source12: %{name}-48.png
#---------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}fltk-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}fluidsynth1-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}portaudio2-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}qt4-devel 
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires:	cmake
#---------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name-devel

%description
LMMS aims to be a free alternative to popular (but commercial and closed- source) 
programs like FruityLoops/FL Studio, Cubase and Logic allowing you to produce music 
with your computer.This includes creation of loops, synthesizing and mixing sounds,
arranging samples, having fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program and those of powerful
synthesizers, samplers, effects etc. in a modern, user-friendly and easy to use
graphical user-interface.

Features

* Song-Editor for arranging the song
* creating beats and basslines using the Beat-/Bassline-Editor
* easy-to-use piano-roll for editing patterns and melodies
* instrument and effect-plugins
* support for hosting VST(i)- and LADSPA-plugins (instruments/effects)
* automation-editor
* MIDI-support

%description -l de
LMMS ist eine freie Alternative zu bekannten (aber kommerziellen und
Closed-Source-) Programmen wie FruityLoops, Cubase und Logic, die Ihnen die
Möglichkeit geben, mit Ihrem Computer Musik zu produzieren, indem Sie
Klänge kreieren/synthetisieren, Samples anordnen, mit dem Keyboard live
spielen usw....

LMMS kombiniert die Funktionen eines Tracker-/Sequenzer-Programms (Pattern-/
Kanal-/Sample-/Song-/Effekt-Management) und die von leistungsfähigen
Synthesizern und Samplern in einer modernen, benutzerfreundlichen und einfach zu
benutzenden grafischen Oberfläche.

Derzeit befindet sich LMMS komplett in Entwicklung. Also erwarten Sie bitte mit
dieser Version nicht ein vollständiges, fertiges und fehlerfreies Programm!!


%prep
%setup -q
%apply_patches

find . -type f -exec chmod 0644 {} \;

%build
%cmake \
      -DWANT_SDL:BOOL=OFF \
      -DWANT_PORTAUDIO:BOOL=OFF \
      -DWANT_CAPS:BOOL=ON \
      -DWANT_TAP:BOOL=ON \
      -DWANT_SWH:BOOL=ON \
      -DWANT_CALF:BOOL=ON \
%ifarch %ix86
      -DWANT_VST:BOOL=ON \
%else
      -DWANT_VST:BOOL=OFF \
%endif
%ifarch x86_64
      -DWANT_VST_NOWINE:BOOL=ON \
%endif
      -DCMAKE_INSTALL_LIBDIR=%{_lib} \
      -DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
      ../
%make VERBOSE=1

%install
rm -rf %{buildroot}
%makeinstall_std -C build


install -m644 %{SOURCE1} -D %{buildroot}%{_datadir}/mimelnk/application/x-lmms-project.desktop

install -m644 %{SOURCE10} -D %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

rm -f %{buildroot}/%{_libdir}/%{name}/*.a %{buildroot}%{_datadir}/menu/*

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#splash
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/lmms/themes/default/splash.png

#drop useless development package
rm -rf %{buildroot}/%{_includedir}/lmms

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS TODO
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/lmms.png


%changelog
* Fri Apr 08 2016 bb <bb> 1.1.3-2pclos2016
- rebuild for updates

* Wed Oct 21 2015 bb <bb> 1.1.3-1pclos2015
- update

* Sun Mar 22 2015 bb <bb> 1.1.2-1pclos2015
- update

* Thu Jan 16 2014 bb <bb> 0.4.15-2pclos2014
- drop development package
- drop update-menus post scripts
- clean up BR

* Thu Jan 16 2014 Ken <lxgator at gmail.com> 0.4.15-1pclos2014
- 0.4.15
